<?php
/*
 *      This file is a part of GCweb (unoffical web render for GCstar)
 *      Copyright (c) 2007 Jonas Fourquier <http://jonas.tuxfamily.org> and contributors
 *
 *      GCweb is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */


/*
 * Partie centale de la page de recherche.
 * Variable disponible : $info, $collec, $item
 */
?>

<div id="content">

    <?php include TEMPLATE_MODEL_PATH_GCWEB.'/menu_'.$collec['type'].'.php' ?>

    <div id="search">

        <div class="element">
            <div class="box">

                <h2><?php echo __('Recherche avancée') ?></h2>

                <fieldset><legend><?php echo __('Multicritères') ?></legend>

                <?php aff_search('start') ?>

                <p><?php printf (__('Les critères vides seront ignorés, le format des dates est %s (exemple, la date d\'aujourd\'hui s\'écrit %s)'), $conf['dateGCstar'], strftime ($conf['dateGCstar'])) ?></p>

                <table>
                    <tr>
                        <td><?php echo __('Titre') ?> :</td><td><?php aff_search('title','str') ?></td>
                    </tr><tr>
                        <td><?php echo __('Série') ?> :</td><td><?php aff_search('serie','list') ?></td>
                    </tr><tr>
                        <td><?php echo __('Auteur') ?> :</td><td><?php aff_search('authors','list') ?></td>
                    </tr><tr>
                        <td><?php echo __('Éditeur') ?> :</td><td><?php aff_search('publisher','list') ?></td>
                    </tr><tr>
                        <td><?php echo __('Genre') ?> :</td><td><?php aff_search('genre','list') ?></td>
                    </tr><tr>
                        <td><?php echo __('Description') ?> :</td><td><?php aff_search('description','str') ?></td>
                    </tr><tr>
                        <td><?php echo __('Date d\'ajout') ?> :</td><td><?php aff_search('added','num') ?></td>
                    </tr><tr>
                        <td><?php echo __('Date de publication') ?> :</td><td><?php aff_search('publication','num') ?></td>
                    </tr><tr>
                        <td><?php echo __('Année de publication') ?> :</td><td><?php aff_search('year','num') ?></td>
                    </tr><tr>
                        <td><?php echo __('Nombre de pages') ?> :</td><td><?php aff_search('pages','num') ?></td>
                    </tr>
                </table>

                <p><?php aff_search('submit') ?></p>
                <?php aff_search('end') ?>
                </fieldset>

                <fieldset><legend><?php echo __('Requête') ?> :</legend>
                <p><?php echo __('Il est possible de réaliser une requête composée de plusieurs conditions afin d\'effectuer une recherche encore plus précise') ?>.</p>
                <p>
                    <?php echo __('Chercher dans') ?>
                    <select id="js_and_or">
                        <option value="|"><?php echo __('toute la base') ?></option>
                        <option value="&amp;"><?php echo __('les resultats précédents') ?></option>
                    </select>
                    :
                    <select id="js_champ">
                        <optgroup label="<?php echo __('Informations générales') ?>">
                            <option value="title"><?php echo __('Titre') ?></option>
                            <option value="serie"><?php echo __('Série') ?></option>
                            <option value="authors"><?php echo __('Auteurs') ?></option>
                            <option value="publisher"><?php echo __('Éditeur') ?></option>
                            <option value="genre"><?php echo __('Genre') ?></option>
                            <option value="description"><?php echo __('Description') ?></option>
                            <option value="rating"><?php echo __('Note (0 à 10)') ?></option>
                        </optgroup>
                        <optgroup label="<?php echo __('Informations diverses') ?>">
                            <option value="isbn"><?php echo __('ISBN') ?></option>
                            <option value="pages"><?php echo __('Nombre de pages') ?></option>
                            <option value="edition"><?php echo __('Édition') ?></option>
                            <option value="language"><?php echo __('Langue') ?></option>
                            <option value="translator"><?php echo __('Traducteur') ?></option>
                            <option value="artist"><?php echo __('Artiste') ?></option>
                            <option value="format"><?php echo __('Format du livre') ?></option>
                            <option value="source"><?php echo __('Source des informations') ?></option>
                            <option value="comment"><?php echo __('Commentaire') ?></option>
                        </optgroup>
                        <optgroup label="<?php echo __('Dates') ?>">
                            <option value="added"><?php echo __('d\'ajout') ?></option>
                            <option value="publication"><?php echo __('de publication') ?></option>
                            <option value="year"><?php echo __('année de publication') ?></option>
                        </optgroup>
                        <optgroup label="<?php echo __('Status/emprunts') ?>">
                            <option value="read"><?php echo __('Lu ?') ?></option>
                            <option value="borrowings"><?php echo __('Emprunté ?') ?></option>
                            <option value="borrower"><?php echo __('Emprunteur') ?></option>
                            <option value="lentDate"><?php echo __('Date d\'emprunt') ?></option>
                        </optgroup>
                    </select>
                    <select id="js_cond">
                        <optgroup label="<?php echo __('Champs contenant du texte') ?>">
                            <option value="="><?php echo __('contient') ?></option>
                            <option value="!="><?php echo __('ne contient pas') ?></option>
                            <option value="=="><?php echo __('est (chaîne exacte)') ?></option>
                            <option value="!=="><?php echo __('n\'est pas (chaîne exacte)') ?></option>
                        </optgroup>
                        <optgroup label="<?php echo __('Champs numériques et dates') ?>">
                            <option value="==">= <?php echo __('égal') ?></option>
                            <option value="!==">&ne; <?php echo __('différent') ?></option>
                            <option value="&lt;">&lt; <?php echo __('plus petit') ?></option>
                            <option value="&lt;=">&le; <?php echo __('plus petit ou égal') ?></option>
                            <option value="&gt;">&gt; <?php echo __('plus grand') ?></option>
                            <option value="&gt;=">&ge; <?php echo __('plus grand ou égal') ?></option>
                        </optgroup>
                    </select>
                    <input id="js_value" type="text" />
                    <input type="button" value="<?php echo __('Ajouter la condition') ?>" onclick="search_addcond('request')" />
                </p>
                <?php aff_search('start') ?>
                <p><?php aff_search('request','','rows="60" cols="20" id="request"') ?></p>
                <p><?php aff_search('submit') ?></p>
                <?php aff_search('end') ?>
                </fieldset>
                <p><?php printf (__('<span class="strong">Note :</span> le format des dates est %s (exemple, la date d\'aujourd\'hui s\'écrit %s)'),$conf['dateGCstar'],strftime ($conf['dateGCstar'])) ?></p>
            </div>
        </div>
    </div>
</div>

